# Using git snapshot until next app release https://github.com/calo001/fondo/issues/40
%global commit 71d97eebf27bee13df61ca0461cce8dbe5e6f958
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20190324

%global filename com.github.calo001.fondo

Name:           fondo
Version:        1.2.2
Release:        4.%{date}git%{shortcommit}%{?dist}
Summary:        Find the most beautiful wallpapers

License:        AGPLv3+
URL:            https://github.com/calo001/fondo/
Source0:        %{url}/tarball/%{commit}

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(unity)
BuildRequires:  vala

Requires:       hicolor-icon-theme

%description
Find a variety of the most beautiful wallpapers from Unsplash.com the world’s
most generous community of photographers.

Fondo allows you to see thousands of beautiful photographs from the most recent
to the one you are to looking for. Give a simple click on a picture to set as
wallpaper, wait until the download is complete and enjoy!

Have a simple and elegant interface, you can change from light mode to dark
mode as you prefer.

%prep
%autosetup -n calo001-%{name}-%{shortcommit}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{filename}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{filename}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{filename}.desktop

%files -f %{filename}.lang
%doc README.md AUTHORS.md
%license LICENSE.md
%{_bindir}/%{filename}
%{_datadir}/Fondo
%{_datadir}/applications/%{filename}.desktop
%{_datadir}/glib-2.0/schemas/%{filename}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{filename}.success.svg
%{_datadir}/icons/hicolor/*/apps/%{filename}.svg
%{_datadir}/pixmaps/%{filename}.png
%{_metainfodir}/%{filename}.appdata.xml

%changelog
* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 1.2.2-4.20190324git71d97ee
- Rebuild with Meson fix for #1699099

* Fri Mar 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-3.20190324git71d97ee
- Initial Package
